OpenNMS API 1.2.9

## org.opennms.netmgt.xml.event
Class Snmp

    java.lang.Object
      org.opennms.netmgt.xml.event.Snmp

All Implemented Interfaces:
  java.io.Serializable

public class Snmp
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_community`
`private int` `_generic`
`private boolean` `_has_generic` keeps track of state for field: _generic
`private boolean` `_has_specific` keeps track of state for field: _specific
`private boolean` `_has_timeStamp` keeps track of state for field: _timeStamp
`private java.lang.String` `_id`
`private java.lang.String` `_idtext`
`private int` `_specific`
`private long` `_timeStamp`
`private java.lang.String` `_version`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Snmp()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteGeneric()`
`void` `deleteSpecific()`
`void` `deleteTimeStamp()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getCommunity()` Returns the value of field 'community'.
`int` `getGeneric()` Returns the value of field 'generic'.
`java.lang.String` `getId()` Returns the value of field 'id'.
`java.lang.String` `getIdtext()` Returns the value of field 'idtext'.
`int` `getSpecific()` Returns the value of field 'specific'.
`long` `getTimeStamp()` Returns the value of field 'timeStamp'.
`java.lang.String` `getVersion()` Returns the value of field 'version'.
`boolean` `hasGeneric()`
`boolean` `hasSpecific()`
`boolean` `hasTimeStamp()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCommunity(java.lang.String community)` Sets the value of field 'community'.
`void` `setGeneric(int generic)` Sets the value of field 'generic'.
`void` `setId(java.lang.String id)` Sets the value of field 'id'.
`void` `setIdtext(java.lang.String idtext)` Sets the value of field 'idtext'.
`void` `setSpecific(int specific)` Sets the value of field 'specific'.
`void` `setTimeStamp(long timeStamp)` Sets the value of field 'timeStamp'.
`void` `setVersion(java.lang.String version)` Sets the value of field 'version'.
`static Snmp` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _id

    private java.lang.String _id

### _idtext

    private java.lang.String _idtext

### _version

    private java.lang.String _version

### _specific

    private int _specific

### _has_specific

    private boolean _has_specific

  keeps track of state for field: _specific

### _generic

    private int _generic

### _has_generic

    private boolean _has_generic

  keeps track of state for field: _generic

### _community

    private java.lang.String _community

### _timeStamp

    private long _timeStamp

### _has_timeStamp

    private boolean _has_timeStamp

  keeps track of state for field: _timeStamp

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Snmp

    public Snmp()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteGeneric

    public void deleteGeneric()

### deleteSpecific

    public void deleteSpecific()

### deleteTimeStamp

    public void deleteTimeStamp()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCommunity

    public java.lang.String getCommunity()

  Returns the value of field 'community'.

  Returns:
    the value of field 'community'.

### getGeneric

    public int getGeneric()

  Returns the value of field 'generic'.

  Returns:
    the value of field 'generic'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'id'.

### getIdtext

    public java.lang.String getIdtext()

  Returns the value of field 'idtext'.

  Returns:
    the value of field 'idtext'.

### getSpecific

    public int getSpecific()

  Returns the value of field 'specific'.

  Returns:
    the value of field 'specific'.

### getTimeStamp

    public long getTimeStamp()

  Returns the value of field 'timeStamp'.

  Returns:
    the value of field 'timeStamp'.

### getVersion

    public java.lang.String getVersion()

  Returns the value of field 'version'.

  Returns:
    the value of field 'version'.

### hasGeneric

    public boolean hasGeneric()

### hasSpecific

    public boolean hasSpecific()

### hasTimeStamp

    public boolean hasTimeStamp()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCommunity

    public void setCommunity(java.lang.String community)

  Sets the value of field 'community'.

  Parameters:
    `community` - the value of field 'community'.

### setGeneric

    public void setGeneric(int generic)

  Sets the value of field 'generic'.

  Parameters:
    `generic` - the value of field 'generic'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setIdtext

    public void setIdtext(java.lang.String idtext)

  Sets the value of field 'idtext'.

  Parameters:
    `idtext` - the value of field 'idtext'.

### setSpecific

    public void setSpecific(int specific)

  Sets the value of field 'specific'.

  Parameters:
    `specific` - the value of field 'specific'.

### setTimeStamp

    public void setTimeStamp(long timeStamp)

  Sets the value of field 'timeStamp'.

  Parameters:
    `timeStamp` - the value of field 'timeStamp'.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the value of field 'version'.

  Parameters:
    `version` - the value of field 'version'.

### unmarshal

    public static Snmp unmarshal(java.io.Reader reader)
                          throws org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.